Taliware Developer

Delete a contract (ID in body)

Deletes the contract named by `contractId` in the request body. Only possible while it is not deployed and has no assets.

Full URL
deletehttps://developer.taliware.com/api/v1/cl2c/contract
DELETE
/cl2c/contract
x-api-key<token>

In: header

contractIdstring

Response Body

curl -X DELETE "https://developer.taliware.com/api/v1/cl2c/contract" \  -H "Content-Type: application/json" \  -d '{    "contractId": "string"  }'
{
  "message": "string",
  "deletedContract": {
    "id": "string",
    "name": "string"
  }
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
Delete a contract (ID in body)